EDestination
3
LIBEBOOK Library

# EDestination

## Synopsis

                        EDestination;
    EDestination*       e_destination_copy                  (const EDestination *dest);
    gboolean            e_destination_empty                 (const EDestination *dest);
    gboolean            e_destination_equal                 (const EDestination *a,
                                                             const EDestination *b);
    char*               e_destination_export                (const EDestination *dest);
    void                e_destination_export_to_vcard_attribute
                                                            (EDestination *dest,
                                                             EVCardAttribute *attr);
    char*               e_destination_exportv               (EDestination **destv);
    void                e_destination_freev                 (EDestination **destv);
    const char*         e_destination_get_address           (const EDestination *dest);
    EContact*           e_destination_get_contact           (const EDestination *dest);
    const char*         e_destination_get_contact_uid       (const EDestination *dest);
    const char*         e_destination_get_email             (const EDestination *dest);
    int                 e_destination_get_email_num         (const EDestination *dest);
    gboolean            e_destination_get_html_mail_pref    (const EDestination *dest);
    const char*         e_destination_get_name              (const EDestination *dest);
    const char*         e_destination_get_source_uid        (const EDestination *dest);
    const char*         e_destination_get_textrep           (const EDestination *dest,
                                                             gboolean include_email);
    char*               e_destination_get_textrepv          (EDestination **destv);
    EDestination*       e_destination_import                (const char *str);
    EDestination**      e_destination_importv               (const char *str);
    gboolean            e_destination_is_auto_recipient     (const EDestination *dest);
    gboolean            e_destination_is_evolution_list     (const EDestination *dest);
    gboolean            e_destination_is_ignored            (const EDestination *dest);
    const GList*        e_destination_list_get_dests        (const EDestination *dest);
    gboolean            e_destination_list_show_addresses   (const EDestination *dest);
    EDestination*       e_destination_new                   (void);
    void                e_destination_set_auto_recipient    (EDestination *dest,
                                                             gboolean value);
    void                e_destination_set_book              (EDestination *dest,
                                                             EBook *book);
    void                e_destination_set_contact           (EDestination *dest,
                                                             EContact *contact,
                                                             int email_num);
    void                e_destination_set_contact_uid       (EDestination *dest,
                                                             const char *uid,
                                                             gint email_num);
    void                e_destination_set_email             (EDestination *dest,
                                                             const char *email);
    void                e_destination_set_html_mail_pref    (EDestination *dest,
                                                             gboolean flag);
    void                e_destination_set_ignored           (EDestination *dest,
                                                             gboolean ignored);
    void                e_destination_set_name              (EDestination *dest,
                                                             const char *name);
    void                e_destination_set_raw               (EDestination *dest,
                                                             const char *raw);

## Object Hierarchy

      GObject
       +----EDestination

## Signals

      "changed"                                        : Run Last

## Description

## Details

### EDestination

    typedef struct _EDestination EDestination;

### e_destination_copy ()

    EDestination*       e_destination_copy                  (const EDestination *dest);

`dest` :

Returns :

### e_destination_empty ()

    gboolean            e_destination_empty                 (const EDestination *dest);

`dest` :

Returns :

### e_destination_equal ()

    gboolean            e_destination_equal                 (const EDestination *a,
                                                             const EDestination *b);

`a` :

`b` :

Returns :

### e_destination_export ()

    char*               e_destination_export                (const EDestination *dest);

`dest` :

Returns :

### e_destination_export_to_vcard_attribute ()

    void                e_destination_export_to_vcard_attribute
                                                            (EDestination *dest,
                                                             EVCardAttribute *attr);

`dest` :

`attr` :

### e_destination_exportv ()

    char*               e_destination_exportv               (EDestination **destv);

`destv` :

Returns :

### e_destination_freev ()

    void                e_destination_freev                 (EDestination **destv);

`destv` :

### e_destination_get_address ()

    const char*         e_destination_get_address           (const EDestination *dest);

`dest` :

Returns :

### e_destination_get_contact ()

    EContact*           e_destination_get_contact           (const EDestination *dest);

`dest` :

Returns :

### e_destination_get_contact_uid ()

    const char*         e_destination_get_contact_uid       (const EDestination *dest);

`dest` :

Returns :

### e_destination_get_email ()

    const char*         e_destination_get_email             (const EDestination *dest);

`dest` :

Returns :

### e_destination_get_email_num ()

    int                 e_destination_get_email_num         (const EDestination *dest);

`dest` :

Returns :

### e_destination_get_html_mail_pref ()

    gboolean            e_destination_get_html_mail_pref    (const EDestination *dest);

`dest` :

Returns :

### e_destination_get_name ()

    const char*         e_destination_get_name              (const EDestination *dest);

`dest` :

Returns :

### e_destination_get_source_uid ()

    const char*         e_destination_get_source_uid        (const EDestination *dest);

`dest` :

Returns :

### e_destination_get_textrep ()

    const char*         e_destination_get_textrep           (const EDestination *dest,
                                                             gboolean include_email);

`dest` :

`include_email` :

Returns :

### e_destination_get_textrepv ()

    char*               e_destination_get_textrepv          (EDestination **destv);

`destv` :

Returns :

### e_destination_import ()

    EDestination*       e_destination_import                (const char *str);

`str` :

Returns :

### e_destination_importv ()

    EDestination**      e_destination_importv               (const char *str);

`str` :

Returns :

### e_destination_is_auto_recipient ()

    gboolean            e_destination_is_auto_recipient     (const EDestination *dest);

`dest` :

Returns :

### e_destination_is_evolution_list ()

    gboolean            e_destination_is_evolution_list     (const EDestination *dest);

`dest` :

Returns :

### e_destination_is_ignored ()

    gboolean            e_destination_is_ignored            (const EDestination *dest);

`dest` :

Returns :

### e_destination_list_get_dests ()

    const GList*        e_destination_list_get_dests        (const EDestination *dest);

`dest` :

Returns :

### e_destination_list_show_addresses ()

    gboolean            e_destination_list_show_addresses   (const EDestination *dest);

`dest` :

Returns :

### e_destination_new ()

    EDestination*       e_destination_new                   (void);

Returns :

### e_destination_set_auto_recipient ()

    void                e_destination_set_auto_recipient    (EDestination *dest,
                                                             gboolean value);

`dest` :

`value` :

### e_destination_set_book ()

    void                e_destination_set_book              (EDestination *dest,
                                                             EBook *book);

`dest` :

`book` :

### e_destination_set_contact ()

    void                e_destination_set_contact           (EDestination *dest,
                                                             EContact *contact,
                                                             int email_num);

`dest` :

`contact` :

`email_num` :

### e_destination_set_contact_uid ()

    void                e_destination_set_contact_uid       (EDestination *dest,
                                                             const char *uid,
                                                             gint email_num);

`dest` :

`uid` :

`email_num` :

### e_destination_set_email ()

    void                e_destination_set_email             (EDestination *dest,
                                                             const char *email);

`dest` :

`email` :

### e_destination_set_html_mail_pref ()

    void                e_destination_set_html_mail_pref    (EDestination *dest,
                                                             gboolean flag);

`dest` :

`flag` :

### e_destination_set_ignored ()

    void                e_destination_set_ignored           (EDestination *dest,
                                                             gboolean ignored);

`dest` :

`ignored` :

### e_destination_set_name ()

    void                e_destination_set_name              (EDestination *dest,
                                                             const char *name);

`dest` :

`name` :

### e_destination_set_raw ()

    void                e_destination_set_raw               (EDestination *dest,
                                                             const char *raw);

`dest` :

`raw` :

## Signal Details

### The `"changed"` signal

    void                user_function                      (EDestination *edestination,
                                                            gpointer      user_data)         : Run Last

`edestination` :

  the object which received the signal.

`user_data` :

  user data set when the signal handler was connected.